Name: midgard-data
Version: 1.5.1
Release: alt0.3cvs20030916
Summary:  Midgard database and Administrative interfaces
License: distributable
Group: System/Servers
URL: http://www.midgard-project.org/
Packager: Sergei Dolmatov <saint@altlinux.ru>
Vendor: ALT Linux Team
BuildArch: noarch
Source0: midgard-data-%{version}.tar.bz2
Source2: midgard-db-install.sh
Source3: midgard-data.conf

Requires: libmidgard = %{version}, libMySQL, php-midgard, mod_midgard repligard

%description
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services. This package contains Administrative Interface and Demonstration
Site for Midgard.

%prep
%setup -q -a 0

%build
mkdir -p data
cp configure data/
cp *.{in,sql,xml,xml.gz} data/
cp INSTALL data/
cp database-upgrade data/

cat <<EOTEXT > POSTINSTALL
Please run 

/etc/httpd/conf/addon-modules/midgard-db-install.sh

as root. If you've changed default password for MySQL
administrative user ('root') then check midgard-db-install.sh
before running it. At the top of script you'll find configuration
options.

EOTEXT
#cat <<EOTEXT > UNINSTALL
#midgard-data: don't forget to remove the 'Include /etc/httpd/conf/addon-modules/midgard.conf'
#              and 'Include /etc/httpd/conf/vhosts/midgard-data.conf' directives you added to
#              your httpd.conf when you installed this package
#EOTEXT

%post
if [ $1 = "1" ]; then
  echo "Include conf/vhosts/midgard-data.conf" >> /etc/httpd/conf/httpd.conf
fi
%_sbindir/apachectl update
echo 'midgard-data: please read the file'
echo '              %_docdir/midgard-data-%{version}/POSTINSTALL which'
echo '              contains instructions to finalize the setup'

%install
rm -rf %buildroot
mkdir -p %buildroot
mkdir -p %buildroot/etc/httpd/conf/addon-modules
mkdir -p %buildroot/etc/httpd/conf/vhosts
mkdir -p %buildroot/var/www/blobs
mkdir -p %buildroot/var/www/html/midgard
mkdir -p %buildroot/var/www/html/example
cp -pr $RPM_BUILD_DIR/%{name}-%{version}/images/{example,midgard} %buildroot/var/www/html
cp %{SOURCE2} %buildroot/etc/httpd/conf/addon-modules
chmod a+x %buildroot/etc/httpd/conf/addon-modules/midgard-db-install.sh
cp %{SOURCE3} %buildroot/etc/httpd/conf/vhosts

%preun
if [ $1 = "0" ]; then
  /usr/bin/subst "s|Include conf/vhosts/midgard-data.conf||g;" \
	/etc/httpd/conf/httpd.conf
fi
#cat %_docdir/midgard-data-%{version}/UNINSTALL

%clean

%files
%defattr(-,root,root)
%config /etc/httpd/conf/addon-modules/midgard-db-install.sh
%config /etc/httpd/conf/vhosts/midgard-data.conf
%attr (-,apache,apache) /var/www/blobs
%attr (-,apache,apache) /var/www/html/midgard
%attr (-,apache,apache) /var/www/html/example

%doc data/*
%doc POSTINSTALL
#%doc UNINSTALL

%changelog
* Thu Oct 02 2003 Sergei Dolmatov <saint@altlinux.ru> 1.5.1-alt0.3cvs20030916
- Fixed dependency on repligard

* Sat Sep 27 2003 Sergei Dolmatov <saint@altlinux.ru> 1.5.1-alt0.2cvs20030916
- Asgard updated, installation procedure clean up.

* Wed Sep 17 2003 Sergei Dolmatov <saint@altlinux.ru> 1.5.1-alt0.1cvs20030916
- New build from CVS

* Thu May 22 2003 Sergei Dolmatov <saint@altlinux.ru> 1.4.4-alt1
- New version

* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net>
- First build for Sisyphus

* Thu Dec 14 2000 Alexander Bokovoy <ab@avilink.net>
    - BLOBs directory permissions fixed, SGID added
    - /etc/httpd/conf/vhosts dir creation added (req. for Mandrake)
    
* Mon Dec 11 2000 Emile Heyns <emile@iris-advies.com>
    - combined redhat & mandrake specfiles
    
* Fri Dec 01 2000 Alexander Bokovoy <ab@avilink.net>
    - Rewritten from scratch to fit Midgard into one package
    - Version 1.4beta7
    - First installation script with Repligard as installer

